# List all available repository certificates

List repository certificates.

Endpoint: GET /gitops/api/v1/agents/{agentIdentifier}/certificates
Version: 1.0
Security: x-api-key

## Path parameters:

  - `agentIdentifier` (string, required)
    Agent identifier for entity.

## Query parameters:

  - `accountIdentifier` (string)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)

  - `query.hostNamePattern` (string)
    A file-glob pattern (not regular expression) the host name has to match.

  - `query.certType` (string)
    The type of the certificate to match (ssh or https).

  - `query.certSubType` (string)
    The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).

## Response 200 fields (application/json):

  - `metadata` (object)
    ListMeta describes metadata that synthetic resources must have, including lists and
various status objects. A resource may have only one of {ObjectMeta, ListMeta}.

  - `metadata.selfLink` (string)

  - `metadata.resourceVersion` (string)

  - `metadata.continue` (string)
    continue may be set if the user set a limit on the number of items returned, and indicates that
the server has more data available. The value is opaque and may be used to issue another request
to the endpoint that served this list to retrieve the next set of available objects. Continuing a
consistent list may not be possible if the server configuration has changed or more than a few
minutes have passed. The resourceVersion field returned when using this continue value will be
identical to the value in the first response, unless you have received this token from an error
message.

  - `metadata.remainingItemCount` (string)

  - `items` (array)

  - `items.serverName` (string)

  - `items.certType` (string)

  - `items.certSubType` (string)

  - `items.certData` (string)

  - `items.certInfo` (string)

## Response default fields (application/json):

  - `error` (string)

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.type_url` (string)
    A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one "/" character. The last segment of the URL's path must represent
the fully qualified name of the type (as in
path/google.protobuf.Duration). The name should be in a canonical form
(e.g., leading "." is not accepted).

In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme http, https, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:

* If no scheme is provided, https is assumed.
* An HTTP GET on the URL must yield a [google.protobuf.Type][]
  value in binary format, or produce an error.
* Applications are allowed to cache lookup results based on the
  URL, or have them precompiled into a binary to avoid any
  lookup. Therefore, binary compatibility needs to be preserved
  on changes to types. (Use versioned type names to manage
  breaking changes.)

Note: this functionality is not currently available in the official
protobuf release, and it is not used for type URLs beginning with
type.googleapis.com. As of May 2023, there are no widely used type server
implementations and no plans to implement one.

Schemes other than http, https (or the empty scheme) might be
used with implementation specific semantics.

  - `details.value` (string)
    Must be a valid serialized protocol buffer of the above specified type.


